repo.libs.tools.require_bundle(node, 'zfs')

directories = {
    '/var/lib/influxdb': {
        'owner': 'influxdb',
        'group': 'influxdb',
        'mode': '0750',
        'needs': {
            'pkg_apt:influxdb2',
        },
    },
}

files = {
    '/etc/zfs-snapshot-backup-pre.d/50-influxdb': {
        'content': '#!/bin/sh\nsystemctl stop influxdb',
        'mode': '0755',
    },
    '/etc/zfs-snapshot-backup-post.d/50-influxdb': {
        'content': '#!/bin/sh\nsystemctl start influxdb',
        'mode': '0755',
    },
}


svc_systemd = {
    'influxdb': {
        'needs': {
            'directory:/var/lib/influxdb',
            'pkg_apt:influxdb2',
        },
    },
}
